<div class="body">
  <form
    [formGroup]="inputForm"
    (ngSubmit)="onFormSubmit()"
    #postForm="ngForm"
    class="example-form"
  >
    <mat-form-field class="example-full-width">
      <mat-label>Card Number</mat-label>
      <input
        matInput
        placeholder=""
        name=""
        formControlName="cardNo"
        ngModel
        required
      />
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Month</mat-label>
      <mat-select formControlName="month">
        <mat-option value="option1">01</mat-option>
        <mat-option value="option2">02</mat-option>
        <mat-option value="option3">03</mat-option>
        <mat-option value="option4">04</mat-option>
        <mat-option value="option5">05</mat-option>
        <mat-option value="option6">06</mat-option>
        <mat-option value="option7">07</mat-option>
        <mat-option value="option8">08</mat-option>
        <mat-option value="option9">09</mat-option>
        <mat-option value="option10">10</mat-option>
        <mat-option value="option11">11</mat-option>
        <mat-option value="option12">12</mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Year</mat-label>
      <mat-select formControlName="month">
        <mat-option value="Year1">2029</mat-option>
        <mat-option value="Year2">2030</mat-option>
        <mat-option value="Year3">2031</mat-option>
        <mat-option value="Year4">2032</mat-option>
        <mat-option value="Year5">2033</mat-option>
        <mat-option value="Year6">2034</mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field class="example-full-width">
      <mat-label>CVV</mat-label>
      <input
        matInput
        placeholder=""
        name=""
        formControlName="cvv"
        ngModel
        required
      />
    </mat-form-field>

    <mat-form-field class="example-full-width">
      <mat-label>Available Balance</mat-label>
      <input
        matInput
        placeholder=""
        name="avlBalance"
        formControlName="avlBalance"
        ngModel
        required
      />
    </mat-form-field>

    <button routerLink="/card" class="btn btn-primary text-white" type="submit">
      Generate
    </button>
  </form>
</div>
